=== debian/control ===
Source: ocaml-sha
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Eric Cooper <ecc@cmu.edu>
DM-Upload-Allowed: yes
Build-Depends:
 debhelper (>= 8.0),
 ocaml-nox (>= 3.11.2),
 ocaml-findlib,
 dh-ocaml (>= 0.9.6)
Standards-Version: 3.9.1
Homepage: http://tab.snarc.org/projects/ocaml_sha
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-sha.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-sha.git

Package: libsha-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: SHA cryptographic hash functions for OCaml (runtime)
 SHA-1 produces a 160-bit digest from its input.
 SHA-256 and SHA-512 produce 256-bit and 512-bit digests
 from their inputs, respectively.
 .
 This package contains the shared runtime stub libraries.

Package: libsha-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Provides: ${ocaml:Provides}
Suggests: ocaml-findlib
Description: SHA cryptographic hash functions for OCaml (development files)
 SHA-1 produces a 160-bit digest from its input.
 SHA-256 and SHA-512 produce 256-bit and 512-bit digests
 from their inputs, respectively.
 .
 This package contains the files needed to compile OCaml programs
 that use the SHA library.
