=== debian/watch ===
version=3

http://tab.snarc.org/download/ocaml/ocaml_sha-(.*)\.tar\.bz2
