=== debian/changelog ===
ocaml-sha (1.9-1build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 16:17:43 +0000

ocaml-sha (1.9-1) unstable; urgency=low

  * New upstream version (closes: #663520)
  * Patch C stubs to silence gcc warnings
  * Update standards version and build dependencies
  * Drop DM-Upload-Allowed
  * Update copyright format
  * Update Homepage and VCS-* fields
  * Increased debhelper compatibility level to 9
  * Update watch file for github

 -- Eric Cooper <ecc@cmu.edu>  Fri, 01 Nov 2013 20:05:22 -0400
