=== debian/control ===
--- 
+++ 
@@ -3,16 +3,15 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Eric Cooper <ecc@cmu.edu>
-DM-Upload-Allowed: yes
 Build-Depends:
- debhelper (>= 8.0),
- ocaml-nox (>= 3.11.2),
+ debhelper (>= 9),
+ ocaml-nox,
  ocaml-findlib,
- dh-ocaml (>= 0.9.6)
-Standards-Version: 3.9.1
-Homepage: http://tab.snarc.org/projects/ocaml_sha
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-sha.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-sha.git
+ dh-ocaml
+Standards-Version: 3.9.4
+Homepage: https://github.com/vincenthz/ocaml-sha
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-sha.git
+Vcs-Browser: http://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-sha.git
 
 Package: libsha-ocaml
 Architecture: any
