=== debian/watch ===
version=3
http://github.com/vincenthz/ocaml-sha/releases \
.*/(?:ocaml-sha-)?v(.*)\.tar\.gz
