=== debian/changelog ===
ocaml-sha (1.11-1build1) focal; urgency=medium

  * No change rebuild against new ocaml ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 21 Feb 2020 01:33:06 +0000

ocaml-sha (1.11-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add a patch to fix possible GC crash
    - add debian/patches/0007-Fix-a-possible-GC-crash.patch
  * Update Vcs-* fields
  * ocaml-sha has been relicensed under ISC, update d/copyright
    file accordingly

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 11 May 2018 14:36:20 +0200

ocaml-sha (1.9-2) unstable; urgency=medium

  * Include *.cmx files in package
  * Update Standards-Version and debhelper version
  * Update patches

 -- Eric Cooper <ecc@cmu.edu>  Sun, 23 Jul 2017 18:01:55 -0400
