=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: ocaml-sha
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Eric Cooper <ecc@cmu.edu>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  ocaml-nox,
  ocaml-findlib,
  dh-ocaml
-Standards-Version: 3.9.4
+Standards-Version: 4.0.0
 Homepage: https://github.com/vincenthz/ocaml-sha
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-sha.git
-Vcs-Browser: http://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-sha.git
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-sha.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-sha
 
 Package: libsha-ocaml
 Architecture: any
