## ocaml-sha 1.13

=== Makefile ===
all:
	dune build --dev @install

test:
	dune runtest

doc:
	dune build @doc

install:
	dune install

uninstall:
	dune uninstall

clean:
	dune clean

.PHONY: all test doc install uninstall clean
