=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: ocaml-sha
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Eric Cooper <ecc@cmu.edu>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  ocaml-nox,
- ocaml-findlib,
+ ocaml-dune,
+ libounit-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.0.0
-Homepage: https://github.com/vincenthz/ocaml-sha
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://github.com/djs55/ocaml-sha
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-sha.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-sha
