=== debian/watch ===
version=3
https://github.com/djs55/ocaml-sha/releases \
.*/(?:ocaml-sha-)?v(.*)\.tar\.gz
