=== debian/watch ===
version=4
https://github.com/djs55/ocaml-sha/releases .*sha-v?([0-9.]+)\.tbz
