## ocaml-sha 1.15.2

=== debian/changelog ===
ocaml-sha (1.15.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 04 Mar 2022 15:27:02 +0100
