=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Eric Cooper <ecc@cmu.edu>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-dune,
  libounit-ocaml-dev,
  dh-ocaml
