## ocaml-sha 1.15.4

=== debian/changelog ===
ocaml-sha (1.15.4-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI
  * Set upstream metadata fields
  * debian/watch: Use GitHub /tags rather than /releases page
  * Update standards version to 4.6.1

 -- Stéphane Glondu <glondu@debian.org>  Thu, 02 Feb 2023 03:13:06 +0100
