=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  ocaml-dune,
  libounit-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/djs55/ocaml-sha
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-sha.git
